a.b

## Enum SomeEnum

- java.lang.Object
- - java.lang.Enum<SomeEnum>
  - - a.b.SomeEnum

- All Implemented Interfaces:
    Serializable, Comparable<SomeEnum>

      public enum SomeEnum
      extends Enum<SomeEnum>

  Example predefined Enum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A` Represents the database value x.
    `B` Represents the database value y.
    `C` Represents the database value z.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SomeEnum` | `getByValue(String arg)`
    `String` | `getValue()`
    `static SomeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SomeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### A

          public static final SomeEnum A

      Represents the database value x.

    - #### B

          public static final SomeEnum B

      Represents the database value y.

    - #### C

          public static final SomeEnum C

      Represents the database value z.

  - ### Method Detail

    - #### values

          public static SomeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SomeEnum c : SomeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SomeEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### getByValue

          public static SomeEnum getByValue(String arg)

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.